id: safenet-authentication-panel

info:
  name: SafeNet Authentication Login Panel - Detect
  author: righettod
  severity: info
  description: |
    SafeNet Authentication Service Self Enrollment login panel was detected.
  reference:
    - https://cpl.thalesgroup.com/access-management/safenet-trusted-access
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Self Enrollment"
  tags: panel,safenet,thales,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/selfenrollment/Enrollment.aspx"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(to_lower(body), "self enrollment") && contains_any(to_lower(body), "safenet", "thales")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - 'V=([0-9.]+)'
# digest: 4a0a0047304502200383e98aec87d3a7e8bdd8a50587843dc78cb7690a88340f333996709400a2de022100ef5372050fdcfd815a64e55f866a1eaaabea166be7b2e4c010c550607c4405f1:922c64590222798bb761d5b6d8e72950